import 'package:workouttest_util/model/cache.dart';
import 'package:workouttest_util/model/exercise_type.dart';
import 'package:workouttest_util/util/logging.dart';

class ExerciseTypeRepository with Logging {

  static List<ExerciseType> getExerciseTypeAlternatives(int? exerciseTypeId) {
    if (exerciseTypeId == null || exerciseTypeId <= 0) {
      return [];
    }
    List<ExerciseType> list = [];
    List<ExerciseType>? exerciseTypes = Cache().getExerciseTypes();
    if (exerciseTypes != null) {
      for (var exerciseType in exerciseTypes) {
        if (exerciseType.alternatives.isNotEmpty) {
          for (var childId in exerciseType.alternatives) {
            if (childId == exerciseTypeId) {
              list.add(exerciseType);
            }
          }
        }
      }
    }
     return list;
  }
}